Skip to main content
`Ctrl`+`K`

# KSPSetInitialGuessKnoll

Tells the iterative solver to use `PCApply()` on the right hand side vector to compute the initial guess (The Knoll trick)

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPSetInitialGuessKnoll(KSP ksp, PetscBool flg)

Logically Collective

## Input Parameters

- ksp - iterative solver obtained from `KSPCreate()`

- flg - `PETSC_TRUE` or `PETSC_FALSE`

## Developer Note

The Knoll trick is not currently implemented using the `KSPGuess` class which provides a variety of ways of computing an initial guess based on previous solves.

## See Also

KSP: Linear System Solvers, `KSPGetInitialGuessKnoll()`, `KSPGuess`, `KSPSetInitialGuessNonzero()`, `KSPGetInitialGuessNonzero()`, `KSP`

## Level

advanced

## Location

src/ksp/ksp/interface/itfunc.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages